textures/mrcleantex/trim2_300
{
	qer_editorimage textures/mrcleantex/trim2.tga
	q3map_surfacelight 300	
	q3map_lightimage textures/mrcleantex/trim2.blend.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrcleantex/trim2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mrcleantex/trim2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mrcleantex/trim5_150
{
	qer_editorimage textures/mrcleantex/trim5.tga
	q3map_surfacelight 150	
	q3map_lightimage textures/mrcleantex/trim5.blend.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrcleantex/trim5.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mrcleantex/trim5.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/mrcleantex/jump_tile4
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 250

	
	{
		map textures/mrcleantex/jump_tile4.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
textures/mrcleantex/blacksky
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 5
	q3map_lightsubdivide 512
	q3map_sun	1 1 1 32	90 90
	{
		map	gfx/colors/black.tga
	}
}
textures/mrcleantex/launch_2
{
		
	{
		map $lightmap
		rgbGen identity
	}
	{ 
		map textures/mrcleantex/launch_2.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{	
		map textures/mrcleantex/launchglow.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	{
		animmap 4 textures/mrcleantex/launch_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}
textures/mrcleantex/electro_rings
{
	qer_editorimage textures/mrcleantex/rings.tga
	surfaceparm nodamage
	q3map_lightimage textures/mrcleantex/rings.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 64
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mrcleantex/steelrst.tga
		rgbGen identity
	}
	
	{
		map textures/mrcleantex/rings.tga
		blendfunc blend
		rgbgen wave triangle 0.75 .25 0.75 0.2
	}
	
	{
		map textures/mrcleantex/lectro.tga
		tcMod scale  -1 1
                tcMod scroll 2 1
		rgbgen wave triangle 1 1.4 0 6.3
		blendFunc GL_ONE GL_ONE
        }	
        {
		map textures/mrcleantex/lectro.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}
}
textures/mrcleantex/mrcbanner
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     deformVertexes wave 100 sin 0 1 0 .1
     deformVertexes wave 100 sin 0 1 0 .2
     
        {
                map textures/mrcleantex/mrcbanner.tga
                alphaFunc GE128
		rgbGen identity
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}	
textures/mrcleantex/mrcteleport
{ 
	qer_editorimage textures/mrcleantex/telebase.tga
	surfaceparm nomarks
        surfaceparm trans
	surfaceparm nonsolid
	q3map_lightimage textures/mrcleantex/portwirl.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 64
	cull none
        sort additive	
	
        {
	        
	        clampmap textures/mrcleantex/portwirl.tga
		blendFunc add
                tcmod rotate 50
               	rgbgen wave sin 0.75 .25 .75 0.3
	}
        {
	        clampmap textures/mrcleantex/telebase.tga
		alphaFunc GE128
		depthwrite
	        rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
